# phpDox - Query\Drivers\Pgsql\SQL

# Query\Drivers\Pgsql\SQL

#### PostgreSQL specific SQL

## Synopsis

class SQL extends AbstractSQL {

- // methods
- public string explain()
- public string random()
- public string dbList()
- public string tableList()
- public string systemTableList()
- public string viewList()
- public string triggerList()
- public ?string functionList()
- public string procedureList()
- public string sequenceList()
- public string columnList()
- public string typeList()
- public string fkList()
- public string indexList()

- // Inherited methods from AbstractSQL
- public string limit()

}

## Hierarchy

#### Extends

- Query\Drivers\AbstractSQL

## Methods

#### public

- columnList() — Return sql to list columns of the specified table
- dbList() — Returns sql to list other databases
- explain() — Get the query plan for the sql query
- fkList() — Get the list of foreign keys for the current table
- functionList() — Return sql to list functions
- indexList() — Get the list of indexes for the current table
- procedureList() — Return sql to list stored procedures
- random() — Random ordering keyword
- sequenceList() — Return sql to list sequences
- systemTableList() — Returns sql to list system tables
- tableList() — Returns sql to list tables
- triggerList() — Returns sql to list triggers
- typeList() — SQL to show list of field types
- viewList() — Returns sql to list views

### Inherited from Query\Drivers\AbstractSQL

#### public

- limit() — Limit clause